%define realname Net-IMAP-Simple-SSL
%define name perl-%{realname}
%define version 1.3
%define release 2mdk

Summary:	SSL support for Net::IMAP::Simple
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{realname}/
Source:		%{realname}-%{version}.tar.bz2
Requires:	perl(Net::IMAP::Simple)
BuildRequires:	perl-devel
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-root

%description
This module is a subclass of Net::IMAP::SImple that includes SSL support.
The interface is identical.

%prep
%setup -q -n %{realname}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}
%{__make} test

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%files
%defattr(-,root,root)
%doc README Changes
%{perl_vendorlib}/Net/IMAP/Simple/*
%{_mandir}/*/*

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue May 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.3-2mdk
- Requires Net::IMAP::Simple (not found automatically)

* Tue May 17 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 1.3-1mdk
- First Mandriva release
